<p align="center">
  <a href="https://stellar-framework.com" target="_blank">
    <img width="100" src="https://stellar-framework.com/images/logo.png">
  </a>
</p>

<p align="center">
  <a href="https://travis-ci.org/StellarFw/stellar">
    <img src="https://img.shields.io/travis/StellarFw/stellar.svg?style=flat-square" alt="Build">
  </a>
  <a href="https://www.codacy.com/app/gil00mendes/stellar?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=StellarFw/stellar&amp;utm_campaign=Badge_Grade">
    <img src="https://img.shields.io/codacy/3dbaa2e22b9d4a46bf186a1bde5c64eb.svg?style=flat-square" alt="Quality">
  </a>
  <a href="https://coveralls.io/github/StellarFw/stellar">
    <img src="https://img.shields.io/coveralls/StellarFw/stellar.svg?style=flat-square" alt="Coverage">
  </a>
  <a href="https://raw.githubusercontent.com/stellar-fw/stellar/master/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg?style=flat-square" alt="License">
  </a>
  <a href="https://www.npmjs.com/package/stellar-fw">
      <img src="https://img.shields.io/npm/v/stellar-fw.svg?style=flat-square" alt="Npm Version">
    </a>
</p>

## Supporting Stellar

[![Greenkeeper badge](https://badges.greenkeeper.io/StellarFw/stellar.svg)](https://greenkeeper.io/)

Stellar is an MIT-licensed open source project. Further development is only possible through funding. If you like the project, check out [Stellar's Patreon campaign](https://www.patreon.com/gil0mendes).

## Intro

Stellar is a web framework that makes it easy to build modular APIs. It is designed to follow an action based pattern that makes it possible to isolate logic in small structures. Core features include:

- Extremely modular
- Lean and extensible core
- Command line tool to workflow optimization
- Native support for HTTP, WebSocket and TCP connections
- Powerful and simple to use [Validation system](https://stellar-framework.com/guide/validation.html)

Note that Stellar only supports Node.js version 7 or upper.

## Questions/Issues

For questions and support use the issue list of this repository. The issue list also must be used for bug reports and feature requests.

## Contribution

Please make sure to read the [Contributing Guide](https://github.com/stellarFw/stellar/blob/dev/.github/CONTRIBUTING.md) before making a pull request.

## Changelog

Details changes for each release are documented in the [release notes](https://github.com/stellarFw/stellar/releases).

## Stay In Touch

For latest releases and announcements, follow me on Twitter: [@gil0mendes](https://twitter.com/gil0mendes).

## License

[MIT](http://opensource.org/licenses/MIT)

Copyright (c) 2015-Present Gil Mendes
